## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:          polari
Version:       46.0
Release:       %autorelease
Summary:       Internet Relay Chat client for GNOME

# The package contains a private helper library licensed LGPLv2+,
# all program sources are GPLv2+
License:       GPLv2+ and LGPLv2+
URL:           https://wiki.gnome.org/Apps/Polari
Source0:       http://download.gnome.org/sources/%{name}/45/%{name}-%{tarball_version}.tar.xz

BuildRequires: meson
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(libadwaita-1)
BuildRequires: pkgconfig(gjs-1.0) >= 1.69.2
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(telepathy-glib)
BuildRequires: pkgconfig(tracker-sparql-3.0)

# for file triggers
BuildRequires: glib2 >= 2.45.4-2
BuildRequires: desktop-file-utils >= 0.22-6

# for help
BuildRequires: itstool

# Bootstrap requirements
BuildRequires: gettext >= 0.19.6

# GObject-introspection imports at runtime
Requires: libsoup3%{?_isa}
Requires: libsecret%{?_isa}

# DBus services
Requires: telepathy-filesystem
Requires: telepathy-mission-control
Requires: telepathy-idle

# For color emoji support
Recommends: google-noto-emoji-fonts

%define bus_name org.gnome.Polari

%description
Polari is an Internet Relay Chat client for the GNOME desktop.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

# this would go into a polari-devel package if there was
# such a thing ... there isn't, so it's useless to us
rm -rf %{buildroot}/%{_datadir}/%{name}/gir-1.0

%check
%meson_test

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{bus_name}.desktop
%{_datadir}/metainfo/%{bus_name}.metainfo.xml
%{_datadir}/icons/hicolor/*/apps/%{bus_name}.*
%{_datadir}/icons/hicolor/*/apps/%{bus_name}-symbolic.*
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/%{bus_name}.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Polari.service
%{_libdir}/%{name}/
%{_datadir}/glib-2.0/schemas/%{bus_name}.gschema.xml
%{_datadir}/telepathy/clients/Polari.client

%changelog
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> 46.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Apr 21 2024 Florian Müllner <fmuellner@redhat.com> 46.0-1
- Update to 46.0

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> 45.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> 45.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Sep 16 2023 Florian Müllner <fmuellner@gnome.org> 45.0-1
- Update to 45.0

* Sat Sep 16 2023 Florian Müllner <fmuellner@gnome.org> 43.0-4
- Convert to rpm-autospec

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 43.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 43.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 10 2022 Florian Müllner <fmuellner@gnome.org> 43.0-1
- Update to 43.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 42.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Kalev Lember <klember@redhat.com> 42.1-1
- Update to 42.1

* Sat Mar 19 2022 Florian Müllner <fmuellner@gnome.org> 42.0-1
- Update to 42.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 41.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 Florian Müllner <fmuellner@gnome.org> 41.0-1
- Update to 41.0

* Sat Sep 04 2021 Florian Müllner <fmuellner@gnome.org> 41~rc-1
- Update to 41.rc

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 40.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Florian Müllner <fmuellner@gnome.org> 40.1-1
- Update to 40.1

* Fri Jun 25 2021 Florian Müllner <fmuellner@gnome.org> 40.0-1
- Update to 40.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 3.38.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Sep 17 2020 Florian Müllner <fmuellner@gnome.org> 3.38.0-1
- Update to 3.38.0

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> 3.37.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 07 2020 Florian Müllner <fmuellner@gnome.org> 3.37.3-1
- Update to 3.37.3

* Wed Jun 03 2020 Florian Müllner <fmuellner@gnome.org> 3.37.2-1
- Update to 3.37.2

* Wed Apr 29 2020 Florian Müllner <fmuellner@gnome.org> 3.37.1-1
- Update to 3.37.1

* Mon Mar 30 2020 Florian Müllner <fmuellner@gnome.org> 3.36.1-1
- Update to 3.36.1

* Sat Mar 07 2020 Florian Müllner <fmuellner@gnome.org> 3.36.0-1
- Update to 3.36.0

* Sun Mar 01 2020 Florian Müllner <fmuellner@gnome.org> 3.35.92-1
- Update to 3.35.92

* Tue Feb 18 2020 Florian Müllner <fmuellner@gnome.org> 3.35.91-1
- Update to 3.35.91

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 3.35.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 05 2020 Florian Müllner <fmuellner@gnome.org> 3.35.3-1
- Update to 3.35.3

* Mon Dec 02 2019 Florian Müllner <fmuellner@gnome.org> 3.35.2-1
- Update to 3.35.2

* Mon Sep 09 2019 Florian Müllner <fmuellner@gnome.org> 3.34.0-1
- Update to 3.34.0

* Wed Sep 04 2019 Florian Müllner <fmuellner@gnome.org> 3.33.92-2
- Fix changelog

* Wed Sep 04 2019 Florian Müllner <fmuellner@gnome.org> 3.33.92-1
- Update to 3.33.92

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 3.33.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 22 2019 Florian Müllner <fmuellner@gnome.org> 3.33.2-1
- Update to 3.33.2

* Tue May 14 2019 Florian Müllner <fmuellner@gnome.org> 3.33.1-1
- Update to 3.33.1

* Wed Apr 17 2019 Kalev Lember <klember@redhat.com> 3.32.1-1
- Update to 3.32.1

* Tue Apr 16 2019 Adam Williamson <awilliam@redhat.com> 3.32.0-3
- Rebuild with Meson fix for #1699099

* Mon Apr 15 2019 Kalev Lember <klember@redhat.com> 3.32.0-2
- appdata: Keep the app ID same as was in 3.30

* Mon Mar 11 2019 Florian Müllner <fmuellner@gnome.org> 3.32.0-1
- Update to 3.32.0

* Tue Mar 05 2019 Florian Müllner <fmuellner@gnome.org> 3.31.92-1
- Update to 3.31.92

* Thu Feb 21 2019 Florian Müllner <fmuellner@gnome.org> 3.31.91-2
- Update for pot changes

* Thu Feb 21 2019 Florian Müllner <fmuellner@gnome.org> 3.31.91-1
- Update to 3.31.91

* Thu Feb 07 2019 Florian Müllner <fmuellner@gnome.org> 3.31.90-1
- Update to 3.31.90

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 3.30.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 28 2018 Florian Müllner <fmuellner@gnome.org> 3.30.2-1
- Update to 3.30.2

* Sat Oct 06 2018 Florian Müllner <fmuellner@gnome.org> 3.30.1-1
- Update to 3.30.1

* Tue Sep 04 2018 Florian Müllner <fmuellner@gnome.org> 3.30.0-1
- Update to 3.30.0

* Wed Aug 29 2018 Florian Müllner <fmuellner@gnome.org> 3.29.92-1
- Update to 3.29.92

* Mon Aug 20 2018 Florian Müllner <fmuellner@gnome.org> 3.29.91-1
- Update to 3.29.91

* Wed Jul 18 2018 Florian Müllner <fmuellner@gnome.org> 3.29.4-1
- Update to 3.29.4

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> 3.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 12 2018 Florian Müllner <fmuellner@gnome.org> 3.28.0-1
- Update to 3.28.0

* Mon Mar 05 2018 Florian Müllner <fmuellner@gnome.org> 3.27.92-1
- Update to 3.27.92

* Mon Mar 05 2018 Florian Müllner <fmuellner@gnome.org> 3.27.91-7
- spec: Use arch-specific lib-requires

* Mon Mar 05 2018 Florian Müllner <fmuellner@gnome.org> 3.27.91-6
- spec: Don't install unnecessary gir

* Sat Feb 24 2018 Florian Müllner <fmuellner@gnome.org> 3.27.91-5
- spec: Switch to autosetup

* Sat Feb 24 2018 Florian Müllner <fmuellner@gnome.org> 3.27.91-4
- spec: Use pkgconfig for BuildRequires

* Sat Feb 24 2018 Florian Müllner <fmuellner@gnome.org> 3.27.91-3
- spec: Remove unneeded build dependency

* Sat Feb 24 2018 Florian Müllner <fmuellner@gnome.org> 3.27.91-2
- Fix changelog version

* Tue Feb 20 2018 Florian Müllner <fmuellner@gnome.org> 3.27.91-1
- Update to 3.27.90

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> 3.27.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 3.27.2-3
- Remove obsolete scriptlets

* Wed Nov 15 2017 Florian Müllner <fmuellner@gnome.org> 3.27.2-2
- Fix appdata install path

* Wed Nov 15 2017 Florian Müllner <fmuellner@gnome.org> 3.27.2-1
- Update to 3.27.2

* Thu Nov 02 2017 Florian Müllner <fmuellner@gnome.org> 3.26.2-1
- Update to 3.26.2

* Thu Oct 05 2017 Florian Müllner <fmuellner@gnome.org> 3.26.1-2
- Fix Requires erroneously marked as BuildRequires

* Wed Oct 04 2017 Florian Müllner <fmuellner@gnome.org> 3.26.1-1
- Update to 3.26.1

* Tue Sep 12 2017 Florian Müllner <fmuellner@gnome.org> 3.26.0-1
- Update to 3.26.0

* Tue Sep 05 2017 Florian Müllner <fmuellner@gnome.org> 3.25.92-1
- Update to 3.25.92

* Mon Aug 21 2017 Florian Müllner <fmuellner@gnome.org> 3.25.91-1
- Update to 3.25.91

* Fri Aug 11 2017 Florian Müllner <fmuellner@gnome.org> 3.25.90-1
- Update to 3.25.90

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> 3.25.4-4
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> 3.25.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 22 2017 Igor Gnatenko <ignatenko@redhat.com> 3.25.4-2
- %meson_build is already verbose

* Tue Jul 18 2017 Florian Müllner <fmuellner@gnome.org> 3.25.4-1
- Update to 3.25.4

* Tue Apr 25 2017 Florian Müllner <fmuellner@gnome.org> 3.25.1-1
- Update to 3.25.1

* Mon Apr 10 2017 Florian Müllner <fmuellner@gnome.org> 3.24.1-1
- Update to 3.24.1

* Mon Mar 20 2017 Florian Müllner <fmuellner@gnome.org> 3.24.0-1
- Update to 3.24.0

* Tue Mar 14 2017 Florian Müllner <fmuellner@gnome.org> 3.23.92-1
- Update to 3.23.92

* Sun Mar 05 2017 Florian Müllner <fmuellner@gnome.org> 3.23.91-1
- Update to 3.23.91

* Thu Feb 16 2017 Florian Müllner <fmuellner@gnome.org> 3.23.90-2
- Add gspell requirement

* Thu Feb 16 2017 Florian Müllner <fmuellner@gnome.org> 3.23.90-1
- Update to 3.23.90

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> 3.23.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov 22 2016 Florian Müllner <fmuellner@gnome.org> 3.23.2-1
- Update to 3.23.2

* Sun Oct 30 2016 Florian Müllner <fmuellner@gnome.org> 3.23.1-4
- ... and another missing dep

* Sun Oct 30 2016 Florian Müllner <fmuellner@gnome.org> 3.23.1-3
- Update deps

* Sun Oct 30 2016 Florian Müllner <fmuellner@gnome.org> 3.23.1-2
- Build-require gjs-devel

* Sun Oct 30 2016 Florian Müllner <fmuellner@gnome.org> 3.23.1-1
- Update to 3.23.1

* Mon Oct 10 2016 Florian Müllner <fmuellner@gnome.org> 3.22.1-1
- Update to 3.22.1

* Mon Sep 19 2016 Florian Müllner <fmuellner@gnome.org> 3.22.0-1
- Update to 3.22.0

* Mon Sep 12 2016 Florian Müllner <fmuellner@gnome.org> 3.21.92-2
- Bump GTK+ requirement

* Mon Sep 12 2016 Florian Müllner <fmuellner@gnome.org> 3.21.92-1
- Update to 3.21.92

* Tue Aug 30 2016 Florian Müllner <fmuellner@gnome.org> 3.21.91-2
- Update requires

* Mon Aug 29 2016 Florian Müllner <fmuellner@gnome.org> 3.21.91-1
- Fix version number

* Mon Aug 29 2016 Florian Müllner <fmuellner@gnome.org> 3.21.90-1
- Update to 3.21.91

* Tue Jul 19 2016 Florian Müllner <fmuellner@gnome.org> 3.21.4-1
- Update to 3.21.4

* Tue Jun 21 2016 Florian Müllner <fmuellner@gnome.org> 3.21.3-1
- Update to 3.21.3

* Thu May 26 2016 Florian Müllner <fmuellner@gnome.org> 3.21.2-1
- Update to 3.21.2

* Fri Apr 29 2016 Florian Müllner <fmuellner@gnome.org> 3.21.1-1
- Update to 3.21.1

* Tue Mar 22 2016 Florian Müllner <fmuellner@gnome.org> 3.20.0-1
- Update to 3.20.0

* Wed Mar 16 2016 Florian Müllner <fmuellner@gnome.org> 3.19.92-1
- Update to 3.19.92

* Wed Mar 02 2016 Florian Müllner <fmuellner@gnome.org> 3.19.91-2
- Adjust to renamed icons

* Wed Mar 02 2016 Florian Müllner <fmuellner@gnome.org> 3.19.91-1
- Update to 3.19.91

* Thu Feb 18 2016 Florian Müllner <fmuellner@gnome.org> 3.19.90-1
- Update to 3.19.90

* Thu Feb 18 2016 Florian Müllner <fmuellner@gnome.org> 3.19.4-3
- Fix date in changelog

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> 3.19.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Florian Müllner <fmuellner@gnome.org> 3.19.4-1
- Update to 3.19.4

* Wed Dec 23 2015 Florian Müllner <fmuellner@gnome.org> 3.19.3-1
- Update to 3.19.3

* Thu Nov 26 2015 Florian Müllner <fmuellner@gnome.org> 3.19.2-1
- Update to 3.19.2

* Thu Oct 29 2015 Florian Müllner <fmuellner@gnome.org> 3.19.1-1
- Update to 3.19.1

* Wed Oct 14 2015 Florian Müllner <fmuellner@gnome.org> 3.18.1-1
- Update to 3.18.1

* Mon Sep 21 2015 Florian Müllner <fmuellner@gnome.org> 3.18.0-1
- Update to 3.18.0

* Wed Sep 16 2015 Florian Müllner <fmuellner@gnome.org> 3.17.92-1
- Update to 3.17.92

* Tue Sep 01 2015 Florian Müllner <fmuellner@gnome.org> 3.17.91-1
- Update to 3.17.91

* Thu Aug 20 2015 Florian Müllner <fmuellner@gnome.org> 3.17.90-1
- Update to 3.17.90

* Wed Aug 05 2015 Florian Müllner <fmuellner@gnome.org> 3.17.4-1
- Update to 3.17.4

* Thu Jul 16 2015 Florian Müllner <fmuellner@gnome.org> 3.17.3-1
- Update to 3.17.3

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> 3.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 30 2015 Florian Müllner <fmuellner@gnome.org> 3.17.1-1
- Update to 3.17.1

* Wed Apr 15 2015 Florian Müllner <fmuellner@gnome.org> 3.16.1-1
- Update to 3.16.1

* Mon Mar 23 2015 Florian Müllner <fmuellner@gnome.org> 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Florian Müllner <fmuellner@gnome.org> 3.15.92-1
- Update to 3.15.92

* Thu Mar 05 2015 Kalev Lember <kalevlember@gmail.com> 3.15.91-2
- Update file lists

* Thu Mar 05 2015 Florian Müllner <fmuellner@gnome.org> 3.15.91-1
- Update to 3.15.91

* Mon Feb 23 2015 Florian Müllner <fmuellner@gnome.org> 3.15.90-1
- Update to 3.15.90

* Mon Feb 23 2015 Florian Müllner <fmuellner@gnome.org> 3.15.3-2
- Some upcoming file changes

* Fri Dec 19 2014 Florian Müllner <fmuellner@gnome.org> 3.15.3-1
- Update to 3.15.3

* Thu Nov 27 2014 Florian Müllner <fmuellner@gnome.org> 3.15.2-1
- Update to 3.15.2

* Tue Oct 14 2014 Florian Müllner <fmuellner@gnome.org> 3.14.1-1
- Update to 3.14.1

* Tue Oct 07 2014 Kalev Lember <kalevlember@gmail.com> 3.14.0-2
- Update to today's git snapshot

* Mon Sep 22 2014 Florian Müllner <fmuellner@gnome.org> 3.14.0-1
- Update to 3.14.0

* Wed Sep 17 2014 Florian Müllner <fmuellner@gnome.org> 3.13.92-1
- Update to 3.13.92

* Wed Aug 20 2014 Florian Müllner <fmuellner@gnome.org> 3.13.90-1
- Update to 3.13.90

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> 3.13.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> 3.13.2-3
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Florian Müllner <fmuellner@gnome.org> 3.13.2-1
- Update to 3.13.2

* Wed Apr 30 2014 Florian Müllner <fmuellner@gnome.org> 3.13.1-1
- Update to 3.13.1

* Tue Apr 15 2014 Florian Müllner <fmuellner@gnome.org> 3.12.1-1
- Update to 3.12.1

* Tue Mar 25 2014 Florian Müllner <fmuellner@gnome.org> 3.12.0-1
- Update to 3.12.0

* Fri Nov 15 2013 Florian Müllner <fmuellner@gnome.org> 3.11.2-1
- Initial import (#1025110)
